- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QWebHitTestResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qwebframe.h.

`#include <qwebframe.h>`

List of all members.

## Public Member Functions
| QWebHitTestResult ()
| QWebHitTestResult (const QWebHitTestResult &other)
QWebHitTestResult & | operator= (const QWebHitTestResult &other)
| ~QWebHitTestResult ()
bool | isNull () const
QPoint | pos () const
QRect | boundingRect () const
QWebElement | enclosingBlockElement () const
QString | title () const
QString | linkText () const
QUrl | linkUrl () const
QUrl | linkTitle () const
QWebFrame * | linkTargetFrame () const
QWebElement | linkElement () const
QString | alternateText () const
QUrl | imageUrl () const
QPixmap | pixmap () const
bool | isContentEditable () const
bool | isContentSelected () const
QWebElement | element () const
QWebFrame * | frame () const
## Friends
class | QWebFrame
class | QWebPagePrivate
class | QWebPage

## Constructor & Destructor Documentation

QWebHitTestResult | ( |  | ) |

QWebHitTestResult | ( | const QWebHitTestResult & | other | ) |

~QWebHitTestResult | ( |  | ) |

## Member Function Documentation

QWebHitTestResult& operator= | ( | const QWebHitTestResult & | other | ) |

bool isNull | ( |  | ) | const

Search for all occurrences

QPoint pos | ( |  | ) | const

Search for all occurrences

QRect boundingRect | ( |  | ) | const

Search for all occurrences

QWebElement enclosingBlockElement | ( |  | ) | const

Search for all occurrences

QString title | ( |  | ) | const

Search for all occurrences

QString linkText | ( |  | ) | const

Search for all occurrences

QUrl linkUrl | ( |  | ) | const

Search for all occurrences

QUrl linkTitle | ( |  | ) | const

Search for all occurrences

QWebFrame* linkTargetFrame | ( |  | ) | const

Search for all occurrences

QWebElement linkElement | ( |  | ) | const

Search for all occurrences

QString alternateText | ( |  | ) | const

Search for all occurrences

QUrl imageUrl | ( |  | ) | const

Search for all occurrences

QPixmap pixmap | ( |  | ) | const

Search for all occurrences

bool isContentEditable | ( |  | ) | const

Search for all occurrences

bool isContentSelected | ( |  | ) | const

Search for all occurrences

QWebElement element | ( |  | ) | const

Search for all occurrences

QWebFrame* frame | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QWebFrame `[friend]`

Search for all occurrences

Definition at line 98 of file qwebframe.h.

friend class QWebPagePrivate `[friend]`

Search for all occurrences

Definition at line 99 of file qwebframe.h.

friend class QWebPage `[friend]`

Search for all occurrences

Definition at line 100 of file qwebframe.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebframe.h

QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult
QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult QWebHitTestResult